unit uConst;

interface
//{$DEFINE EDITOR}
const
  c_Hero_Wd2 = 19;
  c_Hero_WDd2 = 12;
  c_Hero_WUd2 = 19;
  c_Hero_Hd2 = 39;
  Gravity_Y = 1;

  cSpeedX = 4;
  cSpeedY = 5;
  cHalfSpeed = 1;
  cMaxSpeed = 4;
  cCamSpeed = 4;
//  cCamSpeedNM = cCamSpeed * 0.5;

  cBlockSpeed = 2;

  Zoom = 1;
var
  WinWd2,
  WinHd2, WinHd3,
  WinWx15, WinHx15,
  maxX0, maxX1, maxY0, maxY1, maxXd, maxYd,
  bonusDY, bonusPY, bonusDX,
  WinW, WinH : Word;

procedure SetWinSize(W, H : Word);

implementation

procedure SetWinSize(W, H : Word);
begin
  WinW := W;
  WinH := H;
  WinWd2 := WinW div 2;
  WinHd2 := WinH div 2;
  WinHd3 := WinH div 3;
  WinWx15 := trunc(WinW * 1.25);
  WinHx15 := trunc(WinH * 1.25);
  maxX0 := 128;
  maxX1 := WinW - 256;
  maxY0 := 128;
  maxY1 := WinH - 128;
  maxXd := maxX1 - maxX0;
  maxYd := maxY1 - maxY0;
  bonusDY := (maxYd - 64) div 16;
  bonusPY := maxY0 + 32;
  bonusDX := WinW div 32
end;

end.
